<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : library.xsl
    Created on : December 12, 2023, 12:24 p.m.
    Author     : omozegieaziegbe
    Description: XML Transformation Example for JavaCodeGeeks.
-->


<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"/>
    
  <xsl:template match="/">
    <html>
      <head>
        <title>Library Catalog</title>
      </head>
      <body>
        <h1>Books in the Library</h1>
        <ul>
          <xsl:for-each select="library/book">
            <li>
              <strong>Title:</strong> <xsl:value-of select="title"/><br/>
              <strong>Author:</strong> <xsl:value-of select="author"/>
            </li>
          </xsl:for-each>
        </ul>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
